# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/FileSystem.hpp File Reference

`#include <vlCore/VirtualDirectory.hpp>`
`#include <vlCore/DiskFile.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | vl::FileSystem
| Manages multiple VirtualDirectory objects. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

VLCORE_EXPORT FileSystem * | vl::defFileSystem ()
| Returns the default FileSystem used by VisualizationLibrary.
VLCORE_EXPORT void | vl::setDefFileSystem (FileSystem *fs)
| Sets the default FileSystem used by VisualizationLibrary.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:48.
Permission is granted to use this page to write and publish articles regarding Visualization Library.